Parsec 3.0

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Parsec 3.0

Tim Perry-2
When I install Parsec using Cabal, I get version 2.1.0.1. Is there a way to get version 3.1? Or do I have to build it by hand?

Thanks,
Tim

C:\Documents and Settings\perry\haskell>cabal upgrade parsec --reinstall
Resolving dependencies...
Configuring parsec-2.1.0.1...
Preprocessing library parsec-2.1.0.1...
Building parsec-2.1.0.1...
....

Reply | Threaded
Open this post in threaded view
|

Parsec 3.0

Daniel Fischer-4
Am Montag 15 M?rz 2010 21:19:59 schrieb Tim Perry:
> When I install Parsec using Cabal, I get version 2.1.0.1. Is there a way
> to get version 3.1? Or do I have to build it by hand?

cabal install parsec-3.1

If you want a version other than the default, you have to give the package
name including the version number.

>
> Thanks,
> Tim

Reply | Threaded
Open this post in threaded view
|

Parsec 3.0

Tim Perry-2
Thanks Daniel.

cabal install parsec-3.1.0 worked like a charm :)

--Tim




----- Original Message ----
From: Daniel Fischer <[hidden email]>
To: [hidden email]
Cc: Tim Perry <[hidden email]>
Sent: Mon, March 15, 2010 1:45:09 PM
Subject: Re: [Haskell-beginners] Parsec 3.0

Am Montag 15 M?rz 2010 21:19:59 schrieb Tim Perry:
> When I install Parsec using Cabal, I get version 2.1.0.1. Is there a way
> to get version 3.1? Or do I have to build it by hand?

cabal install parsec-3.1

If you want a version other than the default, you have to give the package
name including the version number.

>
> Thanks,
> Tim